LG South Africa wont bring out the update 1.6 to 2.1Support


  1. Shikari-Atrayo

    Shikari-Atrayo New Member

    In South Africa the update from android 1.6 to 2.1 is unavailable. The LG South Africa branch literally did not bother to make the update from 1.6 to 2.1(or anything higher) available. Its pathetic and I have been told by the tech support that if I alter the firmware i.e. install 2.1 myself my warranty will become void. WHAT THE HELL??? so I am stuck with 1.6 until I find a method of upgrading myself.

    Many methods I have found all use LG based methods of updating, all of which means I cannot update, the one method to update to 2.1 wont let me because I need 2.1 to use the service, how stupid is that?

    methods like
    Update LG Optimus GT 540 to Android 2.1 Eclair | Android Advices
    are the ones I mentioned earlier.


    I have found this site that looks more promising but I dont understand all the technical jargon so I dont entirely know what i am reading. such as
    Android 2.2 Platform | Android Developers

    then the other methods that have been suggested to me are to go with the CyanogenMod. It is looking more and more like my only option but i am uncomfortable with using a mod that is firstly not actually available for the LG GT540 and secondly I just prefer to go with the standard Android 2.1 then a mod.

    so basically my request to the Androidforum community is to please help this noob out and either send me some good suggestions for how to get 2.1. I am really getting tired of dealing with LG tech support cause they dont seem to give a crap about bringing out the update, no jokes i was actually told by a tech support guy that they arent going to do it.

    Advertisement
  2. Delsus

    Delsus Well-Known Member

    If LG will not release the update for south africa then your only real options are to stick with 1.6 or upgrade to an unofficial ROM, you could try another country's 2.1 ROM, but that could cause problems, that will only beable to be fixed by reflashing in ways that will void warrenty or sending it to LG, even then they might say that because it was not flashed with the LG updater then your warrenty is void.

    So your best 2 options are to stick with 1.6 or install a custom ROM, CyanogenMod 7 (android 2.3.5) has very few problems check the "all things root" forum at the top of the GT540 forums for instructions, your choice will be based on whether you are comfortable with voiding your warrenty or not.

    The reason your warrenty will be void is that LG think all customers know nothing about the phone cept how to use it, so rather than having to pay people to reflash bricked phones they just say it will void warrenty to dissuade people from flashing, and the people that do will have to pay.

Share This Page